Bug 26953 - Phone & SMS transports always displayed in overdue status triggers
Summary: Phone & SMS transports always displayed in overdue status triggers
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-06 13:57 UTC by Kyle M Hall
Modified: 2021-06-14 21:34 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02


Attachments
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers" (1.98 KB, patch)
2020-12-02 09:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers" (3.01 KB, patch)
2020-12-02 09:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers" (3.07 KB, patch)
2020-12-09 23:35 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers" (3.12 KB, patch)
2020-12-22 19:49 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-11-06 13:57:45 UTC
While working on bug 25334, I noticed that even if a library is not using any phone transport, the phone column still shows on the overdue status triggers. A similar issue is prevalent in the notice editor. It would be nice if those things were hidden when no phone transport is set up. The same for SMS as well.
Comment 1 Jonathan Druart 2020-12-02 09:52:23 UTC
I don't them in the notice editor if the prefs are off.
Comment 2 Jonathan Druart 2020-12-02 09:54:16 UTC
Created attachment 114089 [details] [review]
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers"

If the prefs are off we should not display the checkboxes

Test plan:
1. Turn off PhoneNotification and TalkingTechItivaPhoneNotification
2. Go to the "Overdue notice/status triggers" and confirm that phone and
itiva columns are not displayed
3. Turn the prefs on and confirm the checkboxes are now displayed
Comment 3 Jonathan Druart 2020-12-02 09:56:01 UTC
Created attachment 114090 [details] [review]
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers"

If the prefs are off we should not display the checkboxes

Test plan:
1. Turn off PhoneNotification and TalkingTechItivaPhoneNotification
2. Go to the "Overdue notice/status triggers" and confirm that phone and
itiva columns are not displayed
3. Turn the prefs on and confirm the checkboxes are now displayed
Comment 4 Jonathan Druart 2020-12-02 09:56:19 UTC
(In reply to Jonathan Druart from comment #1)
> I don't them in the notice editor if the prefs are off.

I don't *see* them in the notice editor if the prefs are off.
Comment 5 Lucas Gass 2020-12-09 23:32:49 UTC
> I don't *see* them in the notice editor if the prefs are off.

Confirmed, I do not see them either when the prefs are off
Comment 6 Lucas Gass 2020-12-09 23:35:21 UTC
Created attachment 114293 [details] [review]
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers"

If the prefs are off we should not display the checkboxes

Test plan:
1. Turn off PhoneNotification and TalkingTechItivaPhoneNotification
2. Go to the "Overdue notice/status triggers" and confirm that phone and
itiva columns are not displayed
3. Turn the prefs on and confirm the checkboxes are now displayed

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 7 Victor Grousset/tuxayo 2020-12-22 19:49:48 UTC
Created attachment 114621 [details] [review]
Bug 26953: Hide phone and itiva from "Overdue notice/status triggers"

If the prefs are off we should not display the checkboxes

Test plan:
1. Turn off PhoneNotification and TalkingTechItivaPhoneNotification
2. Go to the "Overdue notice/status triggers" and confirm that phone and
itiva columns are not displayed
3. Turn the prefs on and confirm the checkboxes are now displayed

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 8 Jonathan Druart 2021-01-04 13:10:28 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-01-07 13:58:47 UTC
Pushed to 20.11.x for 20.11.02
Comment 10 Andrew Fuerste-Henry 2021-01-11 21:40:40 UTC
Doesn't apply cleanly to 20.05, please rebase if needed